> For the complete documentation index, see [llms.txt](https://docs.holder.xyz/holder-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.holder.xyz/holder-api/contacts/tags.md).

# Tags

### Get list of current tags

<mark style="background-color:purple;">GET:</mark> `/tags`

#### 200 Response Object

```json
 {
 	"accountId": "string",
 	"createdAt": number,
 	"name": "string",
 	"id": "string",
 	"updatedAt": number
 }
```

**Return**

| CODE | RETURN                          |
| ---- | ------------------------------- |
| 200  | Tag Object                      |
| 401  | Unauthorized                    |
| 404  | Returns account not found error |
| 500  | Internal Server Error           |

###

### Create a new tag

<mark style="background-color:purple;">POST:</mark> `/tags`

**Body**

| FIELD | TYPE   | Description         |
| ----- | ------ | ------------------- |
| name  | string | the name of the tag |

#### 200 Response Object

```json
{
    "tag": {
        "createdAt": number,
        "accountId": "string",
        "name": "string",
        "id": "string",
        "updatedAt": number
    },
    "message": "Successfully added the tag new to the database"
}
```

**Return codes**

<table><thead><tr><th width="323">CODE</th><th>RETURN</th></tr></thead><tbody><tr><td>201</td><td>Created Value</td></tr><tr><td>400</td><td>Neo4j Error</td></tr><tr><td>401</td><td>Unauthorized</td></tr><tr><td>500</td><td>Internal Server Error</td></tr></tbody></table>

### Apply tag to contact

<mark style="background-color:purple;">POST:</mark> `/tags/:tagId`

**Body**

| FIELD      | TYPE             | Description                  |
| ---------- | ---------------- | ---------------------------- |
| contactIds | array of strings | list of contact ids to apply |

#### 201 Response Object

```json
{
    "tag": {
        "createdAt": number,
        "accountId": "string",
        "name": "string",
        "id": "string",
        "updatedAt": number
    },
    "message": "Successfully applied the tag ${tagId} to the contact"
}
```

**Return codes**

<table><thead><tr><th width="323">CODE</th><th>RETURN</th></tr></thead><tbody><tr><td>201</td><td>Created Value</td></tr><tr><td>401</td><td>Unauthorized</td></tr><tr><td>404</td><td>Contact or tag not found</td></tr><tr><td>500</td><td>Internal Server Error</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.holder.xyz/holder-api/contacts/tags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
